Stop a pipeline execution

POST https://{controlplane_path}/api/1/rest/public/runtime/stop/{env_org}/{ruuid}      

This API stops the pipeline execution with the specified Runtime ID.

Prerequisites

  • Write access to the assets to be added or updated

Request

 POST https://{controlplane_path}/api/1/rest/public/runtime/stop/{env_org}/{ruuid}

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
env_org Required. The name of the SnapLogic environment/Org. For example, My-Dev-Env
ruuid Required. The pipeline Runtime ID.
To find the Runtime ID:
  1. Open Monitor.
  2. From the navigation pane, select Pipeline executions.
  3. Search for the pipeline.
  4. Copy the value from the RUUID column. If the executions table doesn't contain the column, click the Table configuration and filters control and add it.

Query parameters

None.

Request header

Basic authentication

To use basic authentication, specify Basic for authorization in the request header, add your credentials (email and password for your SnapLogic user or service account), and specify application/json for content type. For example:


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of basic authentication using Postman:

Learn more about the basic authentication header in REST API requests.

JWT authentication

When using JWT authentication, the API request includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authentication using Postman:

Request body

None.

Response

{
    "response_map": {},
    "http_status_code": 200
}